### Method

# GIRepository ObjectInfo get_vfunc

since: 2.80

#### Declaration [src]

    GIVFuncInfo*
    gi_object_info_get_vfunc (
      GIObjectInfo* info,
      unsigned int n
    )

#### Description [src]

Obtain an object type virtual function at index `n`.

Available since: 2.80

#### Parameters

`n`

  Type: `unsigned int`

  Index of virtual function to get.

#### Return value

Type: `GIVFuncInfo`

The `GIVFuncInfo`. Free the struct by calling `gi_base_info_unref()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.